Summary:        Declare version conflicts for your dist
Name:           perl-Dist-CheckConflicts
Version:        0.11
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Dist-CheckConflicts
Source0:        https://cpan.metacpan.org/modules/by-module/Dist/Dist-CheckConflicts-%{version}.tar.gz

BuildRequires:  coreutils findutils make
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(base) perl(Carp) perl(Exporter)
BuildRequires:  perl(Module::Runtime) >= 0.009
BuildRequires:  perl(strict) perl(warnings)
BuildRequires:  perl(blib) perl(File::Spec) perl(IO::Handle)
BuildRequires:  perl(IPC::Open3) perl(lib) perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88

BuildArch:      noarch

%description
One shortcoming of the CPAN clients that currently exist is that they have no way of 
specifying conflicting downstream dependencies of modules. This module attempts to work 
around this issue by allowing you to specify conflicting versions of modules separately, 
and deal with them after the module is done installing. For instance, say you have a 
module Foo, and some other module Bar uses Foo. If Foo were to change its API in a 
non-backwards-compatible way, this would cause Bar to break until it is updated to use 
the new API. Foo can't just depend on the fixed version of Bar, because this will cause 
a circular dependency (because Bar is already depending on Foo), and this doesn't express 
intent properly anyway - Foo doesn't use Bar at all. The ideal solution would be for there 
to be a way to specify conflicting versions of modules in a way that would let CPAN clients 
update conflicting modules automatically after an existing module is upgraded, but until 
that happens, this module will allow users to do this manually.

%prep
%autosetup -n Dist-CheckConflicts-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Dist/
%{_mandir}/man3/Dist::CheckConflicts.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.11-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 Wang Zhe <bessiewang@tencent.com> - 0.11-1
- initial build
